Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.measures.nnsearchlight.IndexQueryEngine

class `mvpa2.measures.nnsearchlight.``IndexQueryEngine`(sorted=True, **kwargs)

  Provides efficient query engine for discrete spaces.

  Uses dictionary lookups for elements indices and presence in general. Each space obtains a lookup dictionary which performs translation from given index/coordinate into the index within an index table (with a dimension per each space to search within).

  TODO: - extend documentation - repr

  Methods

  `query`(**kwargs) |
  `query_byid`(fid) | Return feature ids of neighbors for a given feature id
  `train`(dataset) |

  Parameters:

  sorted : bool

  > Results of query get sorted

  Methods

  `query`(**kwargs) |
  `query_byid`(fid) | Return feature ids of neighbors for a given feature id
  `train`(dataset) |

  `query`(**kwargs)
  `sorted` = None

    Either to sort the query results

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »